Bug 1476459 - SELinux is preventing sm-notify from using the 'dac_read_search' capabilities.
SELinux is preventing sm-notify from using the 'dac_read_search' capabilities.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:9b65680e9108816e0125214400b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 04:21 EDT by Mirek Svoboda
Modified: 2018-05-29 08:03 EDT (History)
22 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-260.4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mirek Svoboda 2017-07-29 04:21:33 EDT
Description of problem:
boot up and login to Gnome Xorg
SELinux is preventing sm-notify from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it,
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that sm-notify should have the dac_read_search capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'sm-notify' --raw | audit2allow -M my-smnotify
# semodule -X 300 -i my-smnotify.pp

Additional Information:
Source Context                system_u:system_r:rpcd_t:s0
Target Context                system_u:system_r:rpcd_t:s0
Target Objects                Unknown [ capability ]
Source                        sm-notify
Source Path                   sm-notify
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.1.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.3-301.fc26.x86_64 #1 SMP Tue
                              Jul 25 10:05:02 UTC 2017 x86_64 x86_64
Alert Count                   12
First Seen                    2017-07-25 09:44:36 CEST
Last Seen                     2017-07-29 10:11:26 CEST
Local ID                      679c26d5-39b9-45f8-8035-40f5f271c6df

Raw Audit Messages
type=AVC msg=audit(1501315886.491:217): avc:  denied  { dac_read_search } for  pid=1947 comm="sm-notify" capability=2  scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:system_r:rpcd_t:s0 tclass=capability permissive=0


Hash: sm-notify,rpcd_t,rpcd_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.3-301.fc26.x86_64
type:           libreport

Potential duplicate: bug 1474941
Comment 1 Pablo Estigarribia 2017-07-30 19:21:11 EDT
Description of problem:
just working on normal gnome-session

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.4-300.fc26.x86_64
type:           libreport
Comment 2 Alessio 2017-08-06 01:19:11 EDT
Description of problem:
Log in to GNOME

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.4-300.fc26.x86_64
type:           libreport
Comment 3 vaughn miller 2017-08-15 09:53:16 EDT
Description of problem:
Rebooted after update

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 4 vaughn miller 2017-08-15 10:23:03 EDT
Description of problem:
Did DNF update then rebooted - loads of alerts

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 5 Matthew Saltzman 2017-08-15 13:05:27 EDT
Description of problem:
Seems to have occurred while reviewing software updates using the GNOME software tool.

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 6 vaughn miller 2017-08-15 18:10:15 EDT
Description of problem:
Rebooted -> logged in

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 7 Trisuli 2017-08-16 02:32:04 EDT
Description of problem:
Hi.
I just used linux including fedora. And the problems I face are:
[0.238298] Error parsing PCC subspaces from PCCT
[0.918445] RAS: Correctable Errors collector initialized.
[19.579463] usb 1-6: device descriptor read / 64, error -110

The above issues always appear when I start the boot process to a fedora workstation.

I use dual boot fedora 26 and windows 10. My engine is asus A455LJ intel i3 nvidia geforce 920m.

Please help me .

thank you before.

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 8 Fedora End Of Life 2018-05-03 04:23:10 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2018-05-29 08:03:51 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.